Index: /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/copyright
===================================================================
--- /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/copyright	(revision 2437)
+++ /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/copyright	(revision 2437)
@@ -0,0 +1,32 @@
+This package was debianized by Alan Baghumian <alan@technotux.org> on
+Sun, 30 April 2006 18:23:19 +0330.
+
+It was downloaded from http://www.knopper.net/knoppix/sources/
+
+Copyright: 
+		2002-2003 Klaus Knopper <knoppix@knopper.net>
+		2004-2006 Joerg Schirottke <master@kanotix.com>
+		2005-2006 Stefan Lippers-Hollmann <s.l-h@gmx.de>
+		2006-2007 Alan Baghumian <alan@technotux.org>
+
+License:
+
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2 of the License, or
+   (at your option) any later version.
+
+   This package is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this package; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
+
+The Debian packaging is (C) 2006-2007, Alan Baghumian <alan@technotux.org> and
+is licensed under the GPL, see above.
Index: /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/rules
===================================================================
--- /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/rules	(revision 2437)
+++ /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/rules	(revision 2437)
@@ -0,0 +1,3 @@
+#!/usr/bin/make -f
+
+include /usr/share/cdbs/1/rules/debhelper.mk
Index: /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/control
===================================================================
--- /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/control	(revision 2437)
+++ /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/control	(revision 2437)
@@ -0,0 +1,14 @@
+Source: rebuildfstab-parsix
+Section: utils
+Priority: extra
+Maintainer: Alan Baghumian <alan@technotux.org>
+Build-Depends: cdbs, debhelper (>= 5.0.0)
+Standards-Version: 3.7.2
+
+Package: rebuildfstab-parsix
+Architecture: all
+Depends: procps, scanpartitions-parsix, parsix-su, ntfs-3g
+Recommends: xterm | x-terminal-emulator
+Description: fstab-rebuilder for Parsix
+ rebuildfstab uses scanpartitions-parsix to rebuild all harddisk entries
+ in /etc/fstab, for automatic integration of USB storage devices and similar.
Index: /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/compat
===================================================================
--- /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/compat	(revision 2437)
+++ /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/compat	(revision 2437)
@@ -0,0 +1,1 @@
+5
Index: /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/install
===================================================================
--- /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/install	(revision 2437)
+++ /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/install	(revision 2437)
@@ -0,0 +1,1 @@
+rebuildfstab		usr/sbin/
Index: /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/changelog
===================================================================
--- /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/changelog	(revision 2437)
+++ /pkg/main/rebuildfstab-parsix/tags/0.6.2/debian/changelog	(revision 2437)
@@ -0,0 +1,123 @@
+rebuildfstab-parsix (0.6.2) unstable; urgency=low
+
+  * Do not use kanotix-su, parsix-su is here
+  * Do not provide/replace rebuildfstab-kanotix anymore
+  * Litte clean-ups
+
+ -- Alan Baghumian <alan@technotux.org>  Mon, 05 Nov 2007 11:40:48 +0330
+
+rebuildfstab-parsix (0.6.1) unstable; urgency=low
+
+  * Fixed harmless warning message for NTFS-3g partitions. #48
+
+ -- Alan Baghumian <alan@technotux.org>  Fri, 28 Sep 2007 10:33:37 +0330
+
+rebuildfstab-parsix (0.6.0) barry; urgency=low
+
+  * Implemented ntfs-3g support
+
+ -- Alan Baghumian <alan@technotux.org>  Wed, 15 Aug 2007 17:59:39 +0330
+
+rebuildfstab-parsix (0.5.17) barry; urgency=low
+
+  * Depends on scanpartitions-parsix and parsix-su
+
+ -- Alan Baghumian <alan@technotux.org>  Mon, 11 Jun 2007 10:12:52 +0330
+
+rebuildfstab-parsix (0.5.16) barry; urgency=low
+
+  * Upload to barry
+
+ -- Alan Baghumian <alan@technotux.org>  Mon, 16 Apr 2007 12:41:19 +0330
+
+rebuildfstab-parsix (0.5.15) unstable; urgency=low
+
+  * Fixed below changelog entry.
+  * Updated debian/copyright.
+
+ -- Alan Baghumian <alan@technotux.org>  Sun,  1 Apr 2007 11:55:46 +0330
+
+rebuildfstab-parsix (0.5.14) unstable; urgency=low
+
+  * Initial Parsix release, forked for Parsix GNU/Linux.
+
+ -- Alan Baghumian <alan@technotux.org>  Mon,  26 Feb 2007 19:05:12 +0330
+
+rebuildfstab-kanotix (0.5.13) unstable; urgency=low
+
+  * fix lintian errors.
+  * fix useless bashism.
+  * fix insecure tempfile handling.
+  * use kanotix-su
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu,  9 Nov 2006 23:13:37 +0100
+
+rebuildfstab-kanotix (0.5.12) unstable; urgency=low
+
+  [ Joerg Schirottke ]
+  * UTF8 detection for iocharset=utf8 option (vfat)
+
+  [ Stefan Lippers-Hollmann ]
+  * re- indent.
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon,  2 Oct 2006 13:48:55 +0200
+
+rebuildfstab-kanotix (0.5.11) unstable; urgency=low
+
+  * remove cdbs auto-update feature.
+  * remove virtual knoppix packages.
+  * bump compat level to 5.
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 17 Dec 2005 03:15:02 +0100
+
+rebuildfstab-kanotix (0.5.10) unstable; urgency=low
+
+  * Added by KANOTIX message
+  * sw as swap option
+  * printf instead of echo
+
+ -- Joerg Schirottke <master@kanotix.com>  Thu,  3 Nov 2005 12:32:18 +0100
+
+rebuildfstab-kanotix (0.5.9) unstable; urgency=low
+
+  * overhaul packaging.
+  * fix lintian errors.
+  * bump standards version.
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 10 Oct 2005 16:12:53 +0200
+
+rebuildfstab-kanotix (0.5-8) unstable; urgency=low
+
+  * split msdos/ vfat entries, tweak options.
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 25 Jan 2005 01:57:55 +0100
+
+rebuildfstab-kanotix (0.5-7) unstable; urgency=low
+
+  * disable warnings for vfat/ msdos (-o quite).
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 22 Dec 2004 22:00:11 +0100
+
+rebuildfstab-kanotix (0.5-6) unstable; urgency=low
+
+  * Forked for Kanotix compatibility.
+
+ -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 21 Dec 2004 21:13:44 +0100
+
+rebuildfstab-knoppix (0.5-6) unstable; urgency=low
+
+  * Added umask=000 option to ntfs
+
+ -- Klaus Knopper <knopper@knopper.net>  Fri, 31 Oct 2003 14:20:17 +0100
+
+rebuildfstab-knoppix (0.5-5) unstable; urgency=low
+
+  * Added -u uid -g gid options instead of "knoppix" default
+
+ -- Klaus Knopper <knopper@knopper.net>  Wed, 17 Sep 2003 18:55:23 +0200
+
+rebuildfstab-knoppix (0.5-4) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Klaus Knopper <knopper@knopper.net>  Tue, 26 Nov 2002 23:08:25 +0100
Index: /pkg/main/rebuildfstab-parsix/tags/0.6.2/rebuildfstab
===================================================================
--- /pkg/main/rebuildfstab-parsix/tags/0.6.2/rebuildfstab	(revision 2437)
+++ /pkg/main/rebuildfstab-parsix/tags/0.6.2/rebuildfstab	(revision 2437)
@@ -0,0 +1,151 @@
+#!/bin/bash
+# Calls scanpartitions as root and adds entries to /etc/fstab
+# (C) Klaus Knopper Nov 2002
+# (C) 2004-2006 Stefan Lippers-Hollmann <s.l-h@gmx.de>
+# (C) 2007 Alan Baghumian <alan@technotux.org>
+
+PATH="/bin:/sbin:/usr/bin:/usr/sbin"
+export PATH
+umask 022
+
+[ ! -e /proc/partitions ] && { echo "$0: /proc not mounted, exiting" >&2; exit 1; }
+
+if [ -e /var/run/rebuildfstab.pid ]; then
+	ps "$(</var/run/rebuildfstab.pid)" >/dev/null 2>&1 && exit 0
+	rm -f /var/run/rebuildfstab.pid
+fi
+
+echo "$$" >/var/run/rebuildfstab.pid
+
+XSH=""
+[ -n "$DISPLAY" ] && XSH="rxvt -bg black -fg green -cr red -T $0 -e"
+
+[ "`id -u`" != "0" ] && exec $XSH parsix-su "$0" "$@"
+
+TMP="$(mktemp -p /tmp/ fstab-XXXXXXXXXX)"
+ADDEDBYKNOPPIX="# Added by KNOPPIX"
+ADDEDBYKANOTIX="# Added by KANOTIX"
+ADDEDBYPARSIX="# Added by PARSIX"
+
+# Simple shell grep, searches for lines STARTING with string
+stringinfile() {
+	while read line; do
+		case "$line" in
+			$1*)
+				return 0
+				;;
+		esac
+	done <"$2"
+
+	return 1
+}
+
+removeentries() {
+	# Remove comment line $1 and the following line from file $2
+	while read line; do
+		case "$line" in
+			$1)
+				read line
+				continue
+				;;
+		esac
+		echo "$line"
+	done <"$2"
+}
+
+verbose=""
+remove=""
+user=""
+group=""
+arg="$1"
+
+while [ -n "$arg" ]; do
+	case "$arg" in
+		-v*)
+			verbose="yes"
+			;;
+		-r*)
+			remove="yes"
+			;;
+		-u*)
+			shift
+			user="$1"
+			;;
+		-g*)
+			shift
+			group="$1"
+			;;
+		*)
+			echo "Usage: $0 [-v[erbose]] [-r[emove_old]] [-u[ser] uid] [ -g[roup] gid]"
+			;;
+	esac
+
+	shift
+	arg="$1"
+done
+
+[ -n "$verbose" ] && echo "Scanning for new harddisks/partitions..." >&2
+rm -f "$TMP"
+
+if [ -n "$remove" ]; then
+	removeentries "$ADDEDBYKNOPPIX" /etc/fstab >"$TMP"
+	removeentries "$ADDEDBYKANOTIX" /etc/fstab >"$TMP"
+	removeentries "$ADDEDBYPARSIX" /etc/fstab >"$TMP"
+else
+	cat /etc/fstab >"$TMP"
+fi
+
+iocs=""
+nls=""
+if [ "$(locale charmap)" = "UTF-8" ]; then
+	iocs=",iocharset=utf8"
+	nls=",locale=utf8"
+fi
+
+count=0
+while read device mountpoint fstype relax; do
+	stringinfile "$device " "$TMP" || \
+	{
+		count="$((count + 1))"
+		[ -d "$mountpoint" ] || mkdir -p "$mountpoint" 2>/dev/null
+		options="noauto,users,exec"
+
+		case "$fstype" in
+			ntfs)
+				options="${options},umask=000"
+                                fstype="ntfs-3g"
+				;;
+			msdos)
+				options="${options},umask=000,quiet${iocs}"
+				;;
+			vfat)
+				options="${options},umask=000,shortname=mixed,quiet${iocs}"
+				;;
+			swap)
+				options="sw"
+				;;
+		esac
+	
+		case "$fstype" in
+			ntfs|vfat|msdos)
+				[ -n "$user" ]  && options="$options,uid=$user"
+				[ -n "$group" ] && options="$options,gid=$group"
+				;;
+		esac
+
+		echo "$ADDEDBYPARSIX"
+		printf "%-15s %-15s %-7s %-15s %-7s %s\n" "$device" "$mountpoint" "$fstype" "$options" "0" "0"
+	}
+done >>"$TMP" <<EOT
+$(scanpartitions)
+EOT
+
+[ -n "$verbose" ] && { [ "$count" -gt 0 ] && echo "Adding $count new partitions to /etc/fstab." >&2 || echo "No new partitions found." >&2; }
+mv -f "$TMP" /etc/fstab
+
+rm -f /var/run/rebuildfstab.pid
+
+[ -n "$DISPLAY" ] && sleep 2
+
+exit 0
+
